tigase.component

## Class BindingsKernel

- java.lang.Object
- - javax.script.SimpleBindings
  - - tigase.component.BindingsKernel

- All Implemented Interfaces:
    Map<String,Object>, Bindings

      public class BindingsKernel
      extends SimpleBindings

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindingsKernel()`
    `BindingsKernel(Kernel kernel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(Object key)`
    `Object` | `get(Object key)`
    `Kernel` | `getKernel()`
    `void` | `setKernel(Kernel kernel)`

    - ### Methods inherited from class javax.script.SimpleBindings

      `clear, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### BindingsKernel

          public BindingsKernel(Kernel kernel)

    - #### BindingsKernel

          public BindingsKernel()

  - ### Method Detail

    - #### containsKey

          public boolean containsKey(Object key)

      Specified by:
        `containsKey` in interface `Map<String,Object>`
      Specified by:
        `containsKey` in interface `Bindings`
      Overrides:
        `containsKey` in class `SimpleBindings`

    - #### get

          public Object get(Object key)

      Specified by:
        `get` in interface `Map<String,Object>`
      Specified by:
        `get` in interface `Bindings`
      Overrides:
        `get` in class `SimpleBindings`

    - #### getKernel

          public Kernel getKernel()

    - #### setKernel

          public void setKernel(Kernel kernel)

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.